Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.exceptions
Class TransformationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.crs.exceptions.TransformationException

All Implemented Interfaces:
  Serializable

    public class TransformationException

extends Exception

The `TransformationException` class can be thrown if a transformation exception occurs. For example in the process of creating a transformation step.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`TransformationException(CoordinateSystem sourceCS, CoordinateSystem targetCS, String cause)`
`TransformationException(int numberOfCoordinates)` Initializes the error message map with the given size.
`TransformationException(String message)`
`TransformationException(String message, Throwable cause)`
`TransformationException(Throwable cause)`

Method Summary
`List<javax.vecmath.Point3d>` | `getTransformedPoints()`
`Map<Integer,String>` | `getTransformErrors()`
`void` | `setTransformedPoints(List<javax.vecmath.Point3d> transformedPoints)`
`void` | `setTransformError(int coordinateNumber, String errorMessage)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformationException

    public TransformationException(int numberOfCoordinates)

  Initializes the error message map with the given size.

  Parameters:
    `numberOfCoordinates` - in the list of coordinates which will be transformed.

### TransformationException

    public TransformationException(String message)

Parameters:
  `message` -

### TransformationException

    public TransformationException(Throwable cause)

Parameters:
  `cause` -

### TransformationException

    public TransformationException(String message,
                                   Throwable cause)

Parameters:
  `message` -
  `cause` -

### TransformationException

    public TransformationException(CoordinateSystem sourceCS,
                                   CoordinateSystem targetCS,
                                   String cause)

Parameters:
  `sourceCS` - from which crs
  `targetCS` - to which crs
  `cause` - for the exception.

Method Detail

### getTransformErrors

    public final Map<Integer,String> getTransformErrors()

  Returns:
    the transformErrors may be empty but will never be `null`.

### setTransformError

    public final void setTransformError(int coordinateNumber,
                                        String errorMessage)

  Parameters:
    `coordinateNumber` - the position of the coordinate-tuple/triple which were responsible for the transformationexception.
    `errorMessage` - the error message for given coordinate pair (in the array of coordinates).

### getTransformedPoints

    public final List<javax.vecmath.Point3d> getTransformedPoints()

  Returns:
    the transformedPoints, which are the points that were (successfully or unsuccessfully) transformed or `null` if no points were set.

### setTransformedPoints

    public final void setTransformedPoints(List<javax.vecmath.Point3d> transformedPoints)

  Parameters:
    `transformedPoints` - which were (successfully or unsuccessfully) transformed until the exception(s) occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org